# Class ZxidUtils

java.lang.Object
org.apache.zookeeper.server.util.ZxidUtils

public class ZxidUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`ZxidUtils()`

## Method Summary

Modifier and Type
Method
Description
`static long`
`getCounterFromZxid(long zxid)`
`static long`
`getEpochFromZxid(long zxid)`
`static long`
`makeZxid(long epoch, long counter)`
`static String`
`zxidToString(long zxid)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZxidUtils

public ZxidUtils()

## Method Details

### getEpochFromZxid

public static long getEpochFromZxid(long zxid)

### getCounterFromZxid

public static long getCounterFromZxid(long zxid)

### makeZxid

public static long makeZxid(long epoch, long counter)

### zxidToString

public static String zxidToString(long zxid)